org.apache.sling.maven.slingstart

## Class ModelUtils

- java.lang.Object
- - org.apache.sling.maven.slingstart.ModelUtils

    public abstract class ModelUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ModelUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.sling.provisioning.model.Artifact` `findBaseArtifact(org.apache.sling.provisioning.model.Model model)`

`static org.apache.maven.artifact.Artifact`

`getArtifact(org.apache.maven.project.MavenProject project, org.apache.maven.execution.MavenSession session, org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager, org.apache.maven.artifact.resolver.ArtifactResolver resolver, String groupId, String artifactId, String version, String type, String classifier)`
Get a resolved Artifact from the coordinates provided

`static String` `toString(org.apache.maven.model.Dependency d)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelUtils

    public ModelUtils()

### Method Detail

#### getArtifact

    public static org.apache.maven.artifact.Artifact getArtifact(org.apache.maven.project.MavenProject project,
                                                                 org.apache.maven.execution.MavenSession session,
                                                                 org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager,
                                                                 org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                                                 String groupId,
                                                                 String artifactId,
                                                                 String version,
                                                                 String type,
                                                                 String classifier)
                                                          throws org.apache.maven.plugin.MojoExecutionException

Get a resolved Artifact from the coordinates provided

Returns:
  the artifact, which has been resolved.
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### findBaseArtifact

    public static org.apache.sling.provisioning.model.Artifact findBaseArtifact(org.apache.sling.provisioning.model.Model model)
                                                                         throws org.apache.maven.MavenExecutionException

Throws:
  `org.apache.maven.MavenExecutionException`

#### toString

    public static String toString(org.apache.maven.model.Dependency d)